Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.dom
Class XSLTransformEngine

    java.lang.Object
      com.jclark.xsl.dom.XSLTransformEngine

All Implemented Interfaces:
  TransformEngine, XMLProcessor

public class XSLTransformEngine
extends java.lang.Object
implements TransformEngine, XMLProcessor

Constructor Summary
`XSLTransformEngine()`
`XSLTransformEngine(DOMExtensions extend)`

Method Summary
`Result` | `createResult(Node baseNode, int documentIndex, LoadContext loadContext, Node[] rootNodeRef)`
`Transform` | `createTransform(org.w3c.dom.Node domNode)`
`Node` | `load(java.net.URL url, int documentIndex, LoadContext context, NameTable nameTable)` construct an object model from the XML source at the given URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTransformEngine

    public XSLTransformEngine()

### XSLTransformEngine

    public XSLTransformEngine(DOMExtensions extend)

Method Detail

### load

    public Node load(java.net.URL url,
                     int documentIndex,
                     LoadContext context,
                     NameTable nameTable)
              throws XSLException

  Description copied from interface: `XMLProcessor`
  construct an object model from the XML source at the given URL.

  Specified by:
    `load` in interface `XMLProcessor`
  Parameters:
    `url` - the source XML
    `documentIndex` - an internal identifier for this document
    `nameTable` - initial set of in-scope namespace bindings
  Throws:
    `XSLException`

### createResult

    public Result createResult(Node baseNode,
                               int documentIndex,
                               LoadContext loadContext,
                               Node[] rootNodeRef)
                        throws XSLException

  Specified by:
    `createResult` in interface `XMLProcessor`
  Throws:
    `XSLException`

### createTransform

    public Transform createTransform(org.w3c.dom.Node domNode)
                              throws TransformException

  Specified by:
    `createTransform` in interface `TransformEngine`
  Throws:
    `TransformException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD